package contract_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type ContractSignContinueRequest struct {
	SingleContractInfo *common.ContractRequest `json:"singleContractInfo"`
}

func (obj ContractSignContinueRequest) GetUrl() string {
	return "/contract/sign/continue"
}

func (obj ContractSignContinueRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
